<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="SecurityGuardAuthorizator"
	description="" fileName="NPCFaceSecurityGuardAuthorizator.jar"
	className="org.mati.npc.faces.NPCFaceSecurityGuardAuthorizator"
	version="9345" time="17.02.2009 16:31:02">

	<Group>Банковские депозитарные ячейки</Group>

	<!-- INLINKS -->
	<INLink description="Связь с компонентом контейнером"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" name="InFaceComponent" nullable="false">
	</INLink>
	<!-- InCardCodeReader nullable=false -->
	<INLink name="InCardCodeReader" description=""
		interfaceName="org.mati.npc.components.interfaces.ReaderListener"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InVisibility"
		description="Входящая связь допускает изменение видимости компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InEnable"
		description="Входящая связь допускает enable/disable компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>

	<!-- OUTLINKS -->
	<OUTLink description="Связь с компонентом журналирования"
		interfaceName="org.mati.npc.components.interfaces.NPCSimpleLoggerHandler"
		linksNumber="1" nullable="true" name="OutLoggerHandler">
	</OUTLink>
	<!-- OutCardCodeReader nullable=false -->
	<OUTLink name="OutCardCodeReader" description=""
		interfaceName="org.mati.npc.components.interfaces.Reader"
		linksNumber="1" nullable="true">
	</OUTLink>
	<OUTLink name="OutAccessPoint" description=""
		interfaceName="org.mati.npc.components.interfaces.NPCContourAccessPoint"
		linksNumber="1" nullable="false">
	</OUTLink>
	<OUTLink description="GuardCellViewerHandler"
		interfaceName="org.mati.npc.components.interfaces.NPCCellViewerHandler"
		linksNumber="1" nullable="true" name="OutGuardCellViewerHandler">
	</OUTLink>

	<!-- ATTRIBUTES -->
	<Attribute name="PositionX"
		description="Координата левого верхнего угла по оси X"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY"
		description="Координата левого верхнего угла по оси Y"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина"
		defaultValue="497"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeHeight" description="Высота" nullable="false"
		defaultValue="273"
		type="java.lang.Integer">
	</Attribute>

</ClassComponent>
